Method: reasoningEngines.query

Full name: projects.locations.reasoningEngines.query

Queries using a reasoning engine.

Endpoint

post https://{service-endpoint}/v1/{name}:query

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the ReasoningEngine resource to use. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}

Request body

The request body contains data with the following structure:

Fields
input object (Struct format)

Optional. Input content provided by users in JSON object format. Examples include text query, function calling parameters, media bytes, etc.

classMethod string

Optional. Class method to be used for the query. It is optional and defaults to "query" if unspecified.

Response body

If successful, the response body contains an instance of QueryReasoningEngineResponse.

IAM Permissions

Requires one of the following IAM permissions on the name resource, depending on the resource type:

  • aiplatform.reasoningEngines.query
  • aiplatform.reasoningEngineRuntimeRevisions.query

For more information, see the IAM documentation.